function f = virus_ode( params,y )
    % Model of viral infection taken from T. Kostova, Mathematical
    % Biosciences, 2007.

    V = y(1); % virus
    T = y(2); % T effector
    M = y(3); % T memory
    
    r = params(1);
    s = params(2);
    q = params(3);
    alpha = params(4);
    mu = params(5);
    beta = params(6);
    gamma = params(7);
    delta = params(8);
    
    f = [r*V-s*V*T-q*V*M;
        alpha*V-mu*T;
        beta*V+(gamma-delta*M)*M];

end

